Skip to main content
PATCH
/
v1
/
accounts
/
{id}
/
pinterest
/
default-board
Set the default Pinterest board for publishes
curl --request PATCH \
  --url https://api.letmepost.dev/v1/accounts/{id}/pinterest/default-board \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "boardId": "<string>"
}
'
{
  "id": "<string>",
  "defaultBoardId": "<string>",
  "defaultBoardName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.letmepost.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Mint an API key in the dashboard. See https://letmepost.dev/docs/authentication/.

Path Parameters

id
string<uuid>
required

Body

application/json
boardId
string
required
Minimum string length: 1

Response

Default board updated.

id
string
required
defaultBoardId
string | null
defaultBoardName
string | null